/*
 * This is the license for the control panel pattern example files.
 * 
 * Copyright (C) 2008 Johan Thelin <johan.thelin@bitsim.com>
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the
 * following conditions are met:
 * 
 *   - Redistributions of source code must retain the above
 *     copyright notice, this list of conditions and the
 *     following disclaimer.
 *   - Redistributions in binary form must reproduce the
 *     above copyright notice, this list of conditions and
 *     the following disclaimer in the documentation and/or
 *     other materials provided with the distribution.
 *   - The names of its contributors may be used to endorse
 *     or promote products derived from this software without
 *     specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#include "panelstack.h"

#include <QGridLayout>
#include <QStackedWidget>

#include "abstractpanel.h"

PanelStack *PanelStack::m_instance = 0;
PanelStack *PanelStack::instance()
{
	if( !m_instance )
		m_instance = new PanelStack();

	return m_instance;
}

int PanelStack::addPanel( AbstractPanel *panel )
{
	return m_panelStack->addWidget( panel );
}

void PanelStack::showPanel( int index )
{
	m_panelStack->setCurrentIndex( index );
}

PanelStack::PanelStack() : QWidget()
{
	m_panelStack = new QStackedWidget();
	
	QGridLayout *layout = new QGridLayout( this );
	layout->addWidget( m_panelStack, 0, 0 );
}
